{% extends 'base.html' %}
{% load static %}

{% block title %}Пациент: {{ object.person.full_name }}{% endblock title %}

{% block main %}
<div class="wrapper">
    {% include 'sidebar.html' %}
    <div id="content-page" class="content-page">
        {% include 'navbar.html' %}
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-4">
                    <div class="iq-card">
                        <div class="iq-card-body pl-0 pr-0 pt-0">
                            <div class="doctor-details-block">
                            <div class="doc-profile-bg bg-primary" style="height:150px;">
                            </div>
                            <div class="doctor-profile text-center">
                                <img src="{{ object.person.image.url }}" style="object-fit: cover; border-radius: 50%;" alt="profile-img" class="avatar-130 img-fluid">
                            </div>
                            <div class="text-center mt-3 pl-3 pr-3">
                                <h4><b>{{ object.person.full_name }}</b></h4>
                            </div>
                            <hr>
                            <ul class="doctoe-sedual d-flex align-items-center justify-content-between p-0 m-0">
                                <li class="text-center">
                                    <h3 class="counter">{{ object.contacted.count }}</h3>
                                    <span>Зарегистрированных контактов</span>
                                </li>
                            </ul>
                            </div>
                        </div>
                    </div>
                    <div class="iq-card">
                        <div class="iq-card-header d-flex justify-content-between">
                            <div class="iq-header-title">
                            <h4 class="card-title">Персональные данные</h4>
                            </div>
                        </div>
                        <div class="iq-card-body">
                            <div class="about-info m-0 p-0">
                            <div class="row">
                                <div class="col-4">ИИН:</div>
                                <div class="col-8">{{ object.person.iin }}</div>
                                <div class="col-4">Паспорт:</div>
                                <div class="col-8">{{ object.person.passport }}</div>
                                <div class="col-4">Имя:</div>
                                <div class="col-8">{{ object.person.first_name }}</div>
                                <div class="col-4">Фамилия:</div>
                                <div class="col-8">{{ object.person.last_name }}</div>
                                <div class="col-4">Отчетство:</div>
                                <div class="col-8">{{ object.person.middle_name }}</div>
                                <div class="col-4">Пол:</div>
                                <div class="col-8">{{ object.person.get_gender_display }}</div>
                                <div class="col-4">Возраст:</div>
                                <div class="col-8">{{ object.person.age }}</div>
                                <div class="col-4">Эл. почта:</div>
                                <div class="col-8">
                                    {% for contact in object.person.contacts.all %}
                                        {% if contact.kind == 1 %}
                                            <span>{{ contact.value }}</span><br>
                                        {% endif %}
                                    {% endfor %}
                                </div>
                                <div class="col-4">Телефон:</div>
                                <div class="col-8">
                                    {% for contact in object.person.contacts.all %}
                                        {% if contact.kind == 0 %}
                                            <span>{{ contact.value }}</span><br>
                                        {% endif %}
                                    {% endfor %}
                                </div>
                                <div class="col-4">Локация:</div>
                                <div class="col-8">{{ object.person.extras.address.city }}</div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-8">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="iq-card">
                            <div class="iq-card-header d-flex justify-content-between">
                                <div class="iq-header-title">
                                    <h4 class="card-title">Статус пациента</h4>
                                </div>
                            </div>
                            <div class="iq-card-body">
                                <ul class="speciality-list m-0 p-0">
                                    <li class="d-flex mb-4 align-items-center">
                                        <div class="user-img img-fluid"><a href="#" class="iq-bg-primary"><i class="ri-award-fill"></i></a></div>
                                        <div class="media-support-info ml-3">
                                            <p class="mb-0">Способ заражения</p>
                                            <h6>{{ object.status.get_method_infection_display }}</h6>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 align-items-center">
                                        <div class="user-img img-fluid"><a href="#" class="iq-bg-primary"><i class="ri-award-fill"></i></a></div>
                                        <div class="media-support-info ml-3">
                                            <p class="mb-0">Тип случая</p>
                                            <h6>{{ object.status.get_type_case_display }}</h6>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 align-items-center">
                                        <div class="user-img img-fluid"><a href="#" class="iq-bg-primary"><i class="ri-award-fill"></i></a></div>
                                        <div class="media-support-info ml-3">
                                            <p class="mb-0">Тип въезда</p>
                                            <h6>{{ object.status.get_type_entry_display }}</h6>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 align-items-center">
                                        <div class="user-img img-fluid"><a href="#" class="iq-bg-primary"><i class="ri-award-fill"></i></a></div>
                                        <div class="media-support-info ml-3">
                                            <p class="mb-0">Статус инфецирования</p>
                                            <h6>{{ object.status.get_type_infection_display }}</h6>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 align-items-center">
                                        <div class="user-img img-fluid"><a href="#" class="iq-bg-primary"><i class="ri-award-fill"></i></a></div>
                                        <div class="media-support-info ml-3">
                                            <p class="mb-0">Статус госпитализации</p>
                                            <h6>{{ object.status.get_type_hospitalization_display }}</h6>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 align-items-center">
                                        <div class="user-img img-fluid"><a href="#" class="iq-bg-primary"><i class="ri-award-fill"></i></a></div>
                                        <div class="media-support-info ml-3">
                                            <p class="mb-0">Текущее состяние</p>
                                            <h6>{{ object.status.get_type_status_display }}</h6>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="iq-card">
                            <div class="iq-card-header d-flex justify-content-between">
                                <div class="iq-header-title">
                                    <h4 class="card-title">Состояния пациента</h4>
                                </div>
                            </div>
                            <div class="iq-card-body">
                                <ul class="list-inline m-0 p-0">
                                    {% for state in object.states.all %}
                                    <li>
                                        <h6 class="float-left mb-1">{{ state }}</h6>
                                        <small class="float-right mt-1">{{ state.created_at }}</small>
                                        <div class="d-inline-block w-100">
                                            <p>{{ state.comment }}</p>
                                        </div>
                                    </li>
                                    {% empty %}
                                    <li>
                                        <h6 class="float-left mb-1">Отсутствуют</h6>
                                        <small class="float-right mt-1">-</small>
                                        <div class="d-inline-block w-100"></div>
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="iq-card">
                            <div class="iq-card-header d-flex justify-content-between">
                                <div class="iq-header-title">
                                    <h4 class="card-title">Рейсы</h4>
                                </div>
                            </div>
                            <div class="iq-card-body">
                                <ul class="iq-timeline">
                                    {% for flight in object.flights.all %}
                                    <li>
                                        <div class="timeline-dots border-primary"></div>
                                        <h6 class="">{{ flight.arrival }}</h6>
                                        <small class="mt-1">{{ flight.date_at }}</small>
                                    </li>
                                    {% empty %}
                                    <li>
                                        <div class="timeline-dots border-info"></div>
                                        <h6 class="">Отсутствуют</h6>
                                        <small class="mt-1">-</small>
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="iq-card">
                            <div class="iq-card-header d-flex justify-content-between">
                                <div class="iq-header-title">
                                    <h4 class="card-title">Контакты</h4>
                                </div>
                            </div>
                            <div class="iq-card-body">
                                <table class="table mb-0 table-borderless">
                                <thead>
                                    <tr>
                                        <th scope="col">ФИО</th>
                                        <th scope="col">ИИН</th>
                                        <th scope="col">Паспорт</th>
                                        <th scope="col">Пол</th>
                                        <th scope="col">Дата рождения</th>
                                        <th scope="col">Возраст</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for contact in object.contacted.all %}
                                    <tr>
                                        <td><a href="{{ contact.get_absolute_url }}">{{ contact.person.full_name }}</a></td>
                                        <td>{{ contact.person.iin }}</td>
                                        <td>{{ contact.person.passport }}</td>
                                        <td>{{ contact.person.get_gender_display }}</td>
                                        <td>{{ contact.person.birth_date }}</td>
                                        <td>{{ contact.person.age }}</td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% include 'footer.html' %}
    </div>
</div>
{% endblock main %}